Application: gvSIG desktop - gvSIG bugs #5332
Filtro avanzado: Ventana bloqueada cuando la expresion no es correcta
07/14/2020 04:24 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Oscar Martinez

Category: Document table

Target version: 2.5.1-3032

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3026 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando le damos a Buscar sobre una expresién que tiene un error se queda bloqueada la ventana y hay que cerrarla.

Podria sacar un mensaje de expresién invalida, o poner un botén de cancelar (que sera Gtil también si se tiene una bbdd muy grande
y tarda mucho en buscar y queremos que pare la basqueda).

Probado con esta expresion en la pestafia "Avanzada":
(("ARENA2_ACCIDENTES"."TOTAL_GRAVES" >= 1) OR ("ARENA2_ACCIDENTES"."TOTAL_MUERTOS" >= 1)) AND
("ARENA2_ACCIDENTES"."CARRETERA" ILIKE 'N-%"))

Associated revisions

Revision 45233 - 08/23/2020 05:05 AM - Oscar Martinez

refs #5332 Anadido mensaje de error al obtener el query

Revision 45234 - 08/23/2020 05:08 AM - Oscar Martinez

refs #5332 Anadido mensaje de error al fallar un featureset

History

#1 - 08/23/2020 04:59 AM - Oscar Martinez

- Target version changed from 2.5.1-3044 to 2.5.1-3032
- Assignee set to Oscar Martinez

- Status changed from New to Fixed

#2 - 08/24/2020 02:01 PM - Alvaro Anguix

- Status changed from Fixed to Closed
